
MODULE MENUS;
CONST
{$I MENUS.CON}

VAR
    DUMMY_B:      BOOLEAN;
    DATE:         STRING[12];
    REVS:         BYTE;
    WAIT_PERIOD:  LONGINT;
    S:            STRING;   {default length?}
    IN_TOP_LEVEL: EXTERNAL BOOLEAN;
    MNS:          EXTERNAL ARRAY [1..200] OF STRING[40];
    L_MARGIN:     EXTERNAL BYTE;

    EXTERNAL PROCEDURE PUTCHRS(CH: CHAR ; CNT: INTEGER);
    (*------- notice the external declaration -------*)
    EXTERNAL FUNCTION WAIT_FOR_CHAR: CHAR;
    EXTERNAL FUNCTION GET_CHR_AND_MESSAGES: CHAR;
    EXTERNAL FUNCTION SYS_TICK: LONGINT;
    EXTERNAL PROCEDURE ANSWER;

    EXTERNAL  [1] PROCEDURE EDIT;
    (*------- notice the external declaration in an overlay #1 -------*)
    EXTERNAL  [2] PROCEDURE PREPARE;
    EXTERNAL  [2] PROCEDURE SAVE_SYS_PARMS;
    EXTERNAL  [5] PROCEDURE LOAD_MSG;
    EXTERNAL  [5] PROCEDURE SAVE_MSG;
    EXTERNAL  [5] PROCEDURE KILL_MSG;
    EXTERNAL  [5] PROCEDURE VIEW_MSG;


PROCEDURE SET_DATE(S: STRING);
BEGIN
  DATE := S;
  ATTR := HILT; XYGOTO(60,1); WRITE([ADDR(PUT_CHR)],DATE);
                              (** is this a file pointer? *)
  ATTR := NORMAL;
END;


(*PROCEDURE CHANGE_ATTR;
VAR
    A: BYTE;
BEGIN
  A := HI(C);
  IF A = HLUL THEN
    WRITE([ADDR(PRN_CHR)],CHR(27),'-1')
  ELSE
    WRITE([ADDR(PRN_CHR)],CHR(27),'-0');
  AT := A;
END;*)

PROCEDURE SWITCH(CH: CHAR);
BEGIN
  C := (C & $FF00) ! ORD(CH);
  (*----           ^ this is a bit-wise OR ----*)
  (*----  ^ this is a bit-wise AND ----*)
END;

{$E-}
{$E+}

MODEND.
(* ---- end of module ( separate compilation -----*)
